
QGIS Application - Bug report #19992

Select tool switch on Pan tool 

2018-10-02 09:48 AM - Antonio Viscomi

Status: Closed

Priority: Normal

Assignee:

Category: Map Tools

Affected QGIS version:3.2.3 Regression?: Yes

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 27814

Description

Hi all,

I noticed that:

when I switch from the active layer to another in TOC,

the "Select tool" I've previously choosed,

It switch automatically to "Pan tool" (hand tool),

this is a useless waste of time for those who need to select geometries from different layers.

Please go back to the old hold tool mode

best regards

Antonio

History

#1 - 2018-10-02 10:05 AM - Giovanni Manghi

- Category changed from Editing to Map Tools

- Status changed from Open to Feedback

Cannot confirm here on master/linux.

#2 - 2018-10-02 10:41 AM - Antonio Viscomi

Giovanni Manghi wrote:

Cannot confirm here on master/linux.

I confirm this bug also in master 80723e89fd on Windows 7

On Windows 10 there isn't this bug both in 3.2.3 as in Master also

on debian stretch it works fine on 3.2.3 stable

#3 - 2018-10-02 11:19 AM - Nyall Dawson

Perhaps it's plugin related?
#4 - 2018-10-02 11:24 AM - Antonio Viscomi

Nyall Dawson wrote:

Perhaps it's plugin related?

which plugin could it affect hold of native core tool?

#5 - 2018-10-02 11:42 AM - Antonio Viscomi

- File plugin.png added

Antonio Viscomi wrote:

Nyall Dawson wrote:

Perhaps it's plugin related?

which plugin could it affect hold of native core tool?

I attached here  a screenshot with all the pluin I've installed...

I also tried to delete the plugin folder from qgis and restart it... the anomaly it still present

#6 - 2018-10-03 02:21 PM - Giovanni Manghi

I attached here  a screenshot with all the pluin I've installed...

the fact that you have "gdal tools" in the plugin list for QGIS 3 does not seems right.

I also tried to delete the plugin folder from qgis and restart it... the anomaly it still present

what folder (specify the path) have you deleted? have you tested creating a new profile in qgis3, restart qgis and try again?

#7 - 2018-10-03 06:04 PM - Antonio Viscomi

Giovanni Manghi wrote:

I attached here  a screenshot with all the pluin I've installed...

the fact that you have "gdal tools" in the plugin list for QGIS 3 does not seems right.

I also tried to delete the plugin folder from qgis and restart it... the anomaly it still present

what folder (specify the path) have you deleted? have you tested creating a new profile in qgis3, restart qgis and try again?
My Profile was corrupted with a new profile all works fine

many thanks

#8 - 2018-10-03 07:52 PM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to invalid

#9 - 2018-10-04 09:50 AM - Antonio Viscomi

- File plugin_installed.png added

- Status changed from Closed to Reopened

Hi Giovanni,

today I've start to work with a new clean profile

-I've reinstalled the plugins approved and tested by you... (listed in the attacched screenshot)

-when I switch selection of active layer in TOC with select tool previously choosed the result is:

-the result is that the "select tool" switches on "pan tool" again

I hope you can consider to investigate which of this plugin acts on core interface giving birth to this Bug

on screenshot it is clear that my new profile is "prova" (with plugins added) as well as "project.qgz" attached in #19996 Issue

many thanks in advance

#10 - 2018-10-04 09:57 AM - Antonio Viscomi

- File bug_select tool.wmv added

Antonio Viscomi wrote:

Hi Giovanni,

today I've start to work with a new clean profile

-I've reinstalled the plugins approved and tested by you... (listed in the attacched screenshot)

-when I switch selection of active layer in TOC with select tool previously choosed the result is:

-the result is that the "select tool" switches on "pan tool" again

I hope you can consider to investigate which of this plugin acts on core interface giving birth to this Bug

screencast of bug

on screenshot it is clear that my new profile is "prova" (with plugins added) as well as "project.qgz" attached in #19996 Issue

many thanks in advance

#11 - 2018-10-04 10:19 AM - Giovanni Manghi

- Status changed from Reopened to Closed

today I've start to work with a new clean profile
-I've reinstalled the plugins approved and tested by you... (listed in the attacched screenshot)

-when I switch selection of active layer in TOC with select tool previously choosed the result is:

I (we QGIS) don't test any 3rd party plugin (or audit the code). The approval is only regarding the respect of some minimal condition (code repository and

bug tracker available, etc.).

I hope you can consider to investigate which of this plugin acts on core interface giving birth to this Bug

screencast of bug

I suggest you to install the 3rd party plugins you use one by one, and after each one see what is the one that causes the problem, then let the author(s)

know about the issue.

Cheers

#12 - 2018-10-04 10:39 AM - Antonio Viscomi

Giovanni Manghi wrote:

today I've start to work with a new clean profile

-I've reinstalled the plugins approved and tested by you... (listed in the attacched screenshot)

-when I switch selection of active layer in TOC with select tool previously choosed the result is:

I (we QGIS) don't test any 3rd party plugin (or audit the code). The approval is only regarding the respect of some minimal condition (code repository

and bug tracker available, etc.).

I hope you can consider to investigate which of this plugin acts on core interface giving birth to this Bug

screencast of bug

I suggest you to install the 3rd party plugins you use one by one, and after each one see what is the one that causes the problem, then let the

author(s) know about the issue.

Cheers

great answer!!!! 

I congratulate you!

I'm not a developer and I spend my time uselessly

thanks for huge backward sstep you are having this software done

sorry for my tracking

I suggest to you to test third parts plugin first before publishing them in the repository

Have a good day

#13 - 2018-10-04 10:46 AM - Antonio Viscomi

- Status changed from Closed to Reopened
dear Giovanni Manghi,

users, usually report and developers investigate problems... 

you will never grow going like this

nobody forced you to be a developer

#14 - 2018-10-04 10:49 AM - Giovanni Manghi

- Status changed from Reopened to Closed

Antonio Viscomi wrote:

dear Giovanni Manghi,

users, usually report and developers investigate problems... 

you will never grow going like this

nobody forced you to be a developer

issues caused by 3rd party plugins are not a QGIS problem (this is the rationale has always been followed). Also I'm personally not a developer. I'm more a

tester, and in the context of the QGIS bug tracker I help keeping this platform as clean as possible, in a way that effectively only QGIS issues (so not issues

caused by external plugins, or issues depending on specific local conditions) are tracked helping developers focus on real QGIS problems.

#15 - 2018-10-04 10:55 AM - Antonio Viscomi

Giovanni Manghi wrote:

Antonio Viscomi wrote:

dear Giovanni Manghi,

users, usually report and developers investigate problems... 

you will never grow going like this

nobody forced you to be a developer

issues caused by 3rd party plugins are not a QGIS problem (this is the rationale has always been followed). Also I'm personally not a developer. I'm

more a tester, and in the context of the QGIS bug tracker I help keeping this platform as clean as possible, in a way that effectively only QGIS issues

(so not issues caused by external plugins, or issues depending on specific local conditions) are tracked helping developers focus on real QGIS

problems.

in my humble opinion anything acting on the main interface abnormally even if it or is not a direct problem of the software 

becomes it when the software does not respond as it should

#16 - 2018-10-04 11:02 AM - Antonio Viscomi

Antonio Viscomi wrote:

Giovanni Manghi wrote:
Antonio Viscomi wrote:

dear Giovanni Manghi,

users, usually report and developers investigate problems... 

you will never grow going like this

nobody forced you to be a developer

the plugin that causes this anomaly is "Advanced Line Editor"

greetinns

issues caused by 3rd party plugins are not a QGIS problem (this is the rationale has always been followed). Also I'm personally not a developer. I'm

more a tester, and in the context of the QGIS bug tracker I help keeping this platform as clean as possible, in a way that effectively only QGIS

issues (so not issues caused by external plugins, or issues depending on specific local conditions) are tracked helping developers focus on real

QGIS problems.

in my humble opinion anything acting on the main interface abnormally even if it or is not a direct problem of the software 

becomes it when the software does not respond as it should

#17 - 2018-10-04 11:19 AM - Giovanni Manghi

in my humble opinion anything acting on the main interface abnormally even if it or is not a direct problem of the software 

becomes it when the software does not respond as it should

I (we) respect your opinion. It is just that the project has a different one: 3rd party plugins are super important but ultimately if they mess up QGIS this is

not a QGIS problem (example: a LOT of tickets about QGIS crashes are reported here, many of those crashes are caused by 3rd party plugins and we

always close such tickets as invalid).

#18 - 2018-10-04 11:44 AM - Antonio Viscomi

Giovanni Manghi wrote:

in my humble opinion anything acting on the main interface abnormally even if it or is not a direct problem of the software 

becomes it when the software does not respond as it should

I (we) respect your opinion. It is just that the project has a different one: 3rd party plugins are super important but ultimately if they mess up QGIS

this is not a QGIS problem (example: a LOT of tickets about QGIS crashes are reported here, many of those crashes are caused by 3rd party

plugins and we always close such tickets as invalid).

Thanks for the explanation but I do not think it's right to delegate to end-users the burden of communicating with third-party developers

best regards ;)
